## fcitx5-varnam 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)

project(fcitx5-varnam VERSION 0.0.2)

find_package(ECM REQUIRED 1.0.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

find_package(Fcitx5Core 5.0.14 REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(varnam "govarnam" IMPORTED_TARGET REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-varnam\" -D_GNU_SOURCE)
fcitx5_add_i18n_definition()

option(VARNAM_DEBUG "Enable debug logs" OFF)

add_subdirectory(src)
add_subdirectory(icons)

install(FILES "com.varnamproject.Fcitx5.Addon.varnamfcitx.metainfo.xml.in" 
  RENAME com.varnamproject.Fcitx5.Addon.varnamfcitx.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== icons/CMakeLists.txt ===
install(DIRECTORY 48x48 DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor" 
PATTERN .* EXCLUDE 
PATTERN *~ EXCLUDE)

=== src/CMakeLists.txt ===
set(varnam_fcitx_sources
  varnam_engine.cpp
  varnam_state.cpp
  varnam_candidate.cpp
  varnam_utils.cpp
)

add_library(varnamfcitx MODULE ${varnam_fcitx_sources})
target_link_libraries(varnamfcitx Fcitx5::Core Fcitx5::Config PkgConfig::varnam)

if(VARNAM_DEBUG)
  target_compile_definitions(varnamfcitx PRIVATE DEBUG_MODE)
endif()

install(TARGETS varnamfcitx DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")

configure_file(varnamfcitx-addon.conf.in varnamfcitx-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/varnamfcitx-addon.conf" RENAME varnamfcitx.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
install(FILES "varnamfcitx.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/inputmethod")

=== debian/changelog ===
fcitx5-varnam (0.0.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:59:38 -0400

fcitx5-varnam (0.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1072274)

 -- Anoop M S <anoopms@disroot.org>  Fri, 19 Jul 2024 17:32:36 +0000

=== debian/control ===
Source: fcitx5-varnam
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Anoop M S <anoopms@disroot.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx5-modules-dev (>= 5.1.14-4~),
 libgovarnam-dev,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://github.com/varnamproject/varnam-fcitx5
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-varnam
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-varnam.git

Package: fcitx5-varnam
Architecture: any
Depends:
 fcitx5,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 varnam-schemes,
Description: Fcitx5 wrapper for Varnam input method
 Fcitx5 Varnam is a wrapper to add Varnam Input Method Engine support
 in Fcitx5 Input Method.
 .
 Varnam is a cross platform, self learning, open source library which
 support transliteration and reverse transliteration for Indic languages.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/varnamproject/varnam-fcitx5/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
